%define upstream_name    Scalar-String
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    String aspects of scalars
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(bytes)
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module is about the string part of plain Perl scalars. A scalar has a
string value, which is notionally a sequence of Unicode codepoints, but may
be internally encoded in either ISO-8859-1 or UTF-8. In places, and more so
in older versions of Perl, the internal encoding shows through. To fully
understand Perl strings it is necessary to understand these implementation
details.

This module provides functions to classify a string by encoding and to
encode a string in a desired way.

This module is implemented in XS, with a pure Perl backup version for
systems that can't handle XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-13.mga6
+ Revision: 1033010
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.2.0-12.mga6
+ Revision: 957950
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.2.0-11.mga6
+ Revision: 845212
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.2.0-10.mga6
+ Revision: 841722
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-9.mga5
+ Revision: 749334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-8.mga5
+ Revision: 686171
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.2.0-7.mga5
+ Revision: 631661
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-6.mga4
+ Revision: 524452
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.2.0-5.mga4
+ Revision: 430931
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-4.mga3
+ Revision: 372548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.2.0-3.mga3
+ Revision: 251094
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.2.0-2.mga2
+ Revision: 103533
- perl 5.14

* Wed Apr 13 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 84269
- update to 0.002

* Tue Jan 18 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 22814
- cleaning spec file
- imported package perl-Scalar-String

